Package de.willuhn.jameica.hbci.synchronize.jobs

# Class AbstractSynchronizeJob

java.lang.Object
de.willuhn.jameica.hbci.synchronize.jobs.AbstractSynchronizeJob

All Implemented Interfaces:
  `SynchronizeJob`

Direct Known Subclasses:
  `SynchronizeJobKontoauszug`, `SynchronizeJobKontoauszugPdf`, `SynchronizeJobQuittung`, `SynchronizeJobSepaDauerauftragDelete`, `SynchronizeJobSepaDauerauftragList`, `SynchronizeJobSepaDauerauftragStore`, `SynchronizeJobSepaLastschrift`, `SynchronizeJobSepaSammelLastschrift`, `SynchronizeJobSepaSammelUeberweisung`, `SynchronizeJobSepaUeberweisung`

public abstract class AbstractSynchronizeJob extends Object implements SynchronizeJob
Abstrakte Basis-Implementierung aller SynchronizeJobs,

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final de.willuhn.util.I18N`
`i18n`

### Fields inherited from interface de.willuhn.jameica.hbci.synchronize.jobs.SynchronizeJob

`CTX_ENTITY`

## Constructor Summary

Constructors
Constructor
Description
`AbstractSynchronizeJob()`

## Method Summary

Modifier and Type
Method
Description
`void`
`configure()`
Oeffnet den Synchronisierungs-Job zur Konfiguration.
`Object`
`getContext(String key)`
Liefert den Wert der angegebenen Context-Information.
`Konto`
`getKonto()`
Liefert das Konto, ueber welches der Job abgewickelt werden soll.
`String`
`getName()`
Liefert einen sprechenden Namen fuer den Job.
`void`
`setContext(String key, Object value)`
Speichert weitere Context-Informationen.
`void`
`setKonto(Konto konto)`
Speichert das Konto, ueber welches der Job abgewickelt werden soll.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.synchronize.jobs.SynchronizeJob

`isRecurring`

## Field Details

### i18n

protected static final de.willuhn.util.I18N i18n

## Constructor Details

### AbstractSynchronizeJob

public AbstractSynchronizeJob()

## Method Details

### getContext

public Object getContext(String key)
Description copied from interface: `SynchronizeJob`
Liefert den Wert der angegebenen Context-Information.

Specified by:
  `getContext` in interface `SynchronizeJob`
Parameters:
  `key` - der Schluessel-Name des Context-Elements.
Returns:
  der Wert des Context-Elements.

### setContext

public void setContext(String key, Object value)
Description copied from interface: `SynchronizeJob`
Speichert weitere Context-Informationen. Das kann z.Bsp. das Fachobjekt selbst sein aber auch Addon-Infos wie ein Zieldatum.

Specified by:
  `setContext` in interface `SynchronizeJob`
Parameters:
  `key` - Schluessel-Name des Context-Elements.
  `value` - Wert des Context-Elements.

### getKonto

public Konto getKonto()
Description copied from interface: `SynchronizeJob`
Liefert das Konto, ueber welches der Job abgewickelt werden soll.

Specified by:
  `getKonto` in interface `SynchronizeJob`
Returns:
  das Konto.

### setKonto

public void setKonto(Konto konto)
Description copied from interface: `SynchronizeJob`
Speichert das Konto, ueber welches der Job abgewickelt werden soll.

Specified by:
  `setKonto` in interface `SynchronizeJob`
Parameters:
  `konto` - das Konto.

### configure

public void configure() throws de.willuhn.util.ApplicationException
Description copied from interface: `SynchronizeJob`
Oeffnet den Synchronisierungs-Job zur Konfiguration.

Specified by:
  `configure` in interface `SynchronizeJob`
Throws:
  `de.willuhn.util.ApplicationException`

### getName

public String getName() throws de.willuhn.util.ApplicationException
Description copied from interface: `SynchronizeJob`
Liefert einen sprechenden Namen fuer den Job.

Specified by:
  `getName` in interface `SynchronizeJob`
Returns:
  sprechender Name.
Throws:
  `de.willuhn.util.ApplicationException`